- Qt 6.10
- Qt QML Compiler
- C++ Classes
- QtQmlCompiler (Technical Preview)
- Bindings
- Qt 6.10.2 Reference Documentation

# QQmlSA::Binding::Bindings Class

class QQmlSA::Binding::Bindings

Holds multiple property name to property binding associations. More...

- List of all members, including inherited members

## Public Functions

| Bindings()
| Bindings(const QQmlSA::Binding::Bindings &other)
| ~Bindings()
QMultiHash<QString, QQmlSA::Binding>::const_iterator | begin() const
QMultiHash<QString, QQmlSA::Binding>::const_iterator | constBegin() const
QMultiHash<QString, QQmlSA::Binding>::const_iterator | constEnd() const
QMultiHash<QString, QQmlSA::Binding>::const_iterator | end() const

## Detailed Description

## Member Function Documentation

### Bindings::Bindings()

Constructs a new Bindings object.

### Bindings::Bindings(const QQmlSA::Binding::Bindings &other)

Creates a copy of other.

### `[noexcept]` Bindings::~Bindings()

Destroys the Bindings object.

### QMultiHash<QString, QQmlSA::Binding>::const_iterator Bindings::begin() const

Same as constBegin().

### QMultiHash<QString, QQmlSA::Binding>::const_iterator Bindings::constBegin() const

Returns an iterator to the beginning of the bindings.

### QMultiHash<QString, QQmlSA::Binding>::const_iterator Bindings::constEnd() const

Returns an iterator to the end of the bindings.

### QMultiHash<QString, QQmlSA::Binding>::const_iterator Bindings::end() const

Same as constEnd().